# Evaluation

Submissions are evaluated on the [R2](https://en.wikipedia.org/wiki/Coefficient_of_determination) (coefficient of determination) between their predicted financial indicators and the actual data. R2 score shall be calculated separately for each of the 17 predicted targets and then averaged.

### Submission File

For each `company_id` in the test set, you must predict 17 financial data points. The file should contain a header and have the following format:

```
'company_id', 'target_76', 'target_92', 'target_131', 'target_75', 'target_90', 'target_2', 'target_45', 'target_142', 'target_86', 'target_58', 'target_4', 'target_0', 'target_57', 'target_20', 'target_104', 'target_21', 'target_16'
company_2,0,0,0,0,0,0,0,0,0
company_5,0,0,0,0,0,0,0,0,0
company_6,0,0,0,0,0,0,0,0,0
etc.
```

Please check the **sample\_submission.csv** for reference.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.synnax.ai/synnax/synnax-lab/data-science-competitions/synnax-datathon-2/evaluation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
